:root {
    /* --bs-nav-link-font-size: 12px;*/
    --mc-top-bar-height: 50px;
    --mc-sidebar-width-closed: 48px; /*80px;*/
    --mc-sidebar-width-opened: 225px;
    --fa-primary-color: #dff1ff;
    --fa-secondary-color: #b6e3c5;
    --fa-primary-color: #0085C7;
    --fa-secondary-color: #4FA392;
    --mc-bg-grey-1: #F9F9F9;
    --mc-bg-grey-2: #F8f8f8;
    --mc-bg-grey-3: #E1E1E1;
    --mc-bg-grey-4: #EFEDED;
    --mc-bg-grey-5: #bcbcbc;
    --bs-nav-link-font-size: 14px;
    --bs-body-font-size: 0.9rem;
    --mc-color-main: #326587; /* #1893d2;*/
    --mc-color-background: #e3edf4; /* #F7FAFC;*/
    --mc-color-font: #326587;
    --mc-color-border: #b6cddd;
    --mc-text-home-light: #659fc5;
}

/*from custom-designer-layout*/
@font-face {
    font-family: 'ProximaNova';
    src: url("../../fonts/ProximaNova/ProximaNova-Regular.otf") format("opentype");
}

@font-face {
    font-family: 'ProximaNova';
    font-weight: bold;
    src: url("../../fonts/ProximaNova/ProximaNova-Bold.otf") format("opentype");
}

@font-face {
    font-family: 'ProximaNova';
    font-weight: 600;
    src: url("../../fonts/ProximaNova/ProximaNova-Semibold.otf") format("opentype");
}

body {
    font-family: 'ProximaNova' !important;
    color: #505050;
}

#root {
    height: 100%;
}

body, html {
    min-height: 100%;
    /* background-color: #F3F3F3
    background-color: transparent;

    --bg-back-1: rgb(from var(--fa-primary-color) r g b / 0.05);

    --bg-back-2: rgb(from var(--fa-primary-color) r g b / 0.1);
;*/
}

.btn-home-link {
    background-color: var(--mc-bg-grey-1) !important;
    border: 1px solid var(--mc-border-button)
}

    .btn-home-link a {
        color: var(--mc-font-color);
        font-weight: 400;
    }

    .btn-home-link:hover {
        --tw-bg-opacity: 1;
        background-color: rgb(231 233 247 / var(--tw-bg-opacity));
    }

.widget-home-link {
    background-color: var(--mc-bg-grey-1) !important;
}

.bg-grey {
    background-color: var(--mc-bg-grey-1) !important;
}

.bg-grey-2 {
    background-color: var(--mc-bg-grey-2) !important;
}

.bg-grey-3 {
    background-color: var(--mc-bg-grey-3) !important;
}

.bg-grey-4 {
    background-color: var(--mc-bg-grey-4) !important;
}

.bg-grey-5 {
    background-color: var(--mc-bg-grey-5) !important;
}

.scrollbar::-webkit-scrollbar-track {
    border-radius: 8px;
    background-color: #ffffff00;
    border: 0px solid rgba(221, 221, 221, .6);
}

.scrollbar::-webkit-scrollbar-thumb {
    border-radius: 12px;
    background-clip: content-box;
    background-color: #6A6A6A !important;
}

.text-blue {
    color: #005AF1 !important;
}

.text-custom-dark {
    color: #505050 !important;
}

.fw-semibold {
    font-weight: 600 !important;
}

.bg-secondary-light {
    background-color: #C2C2C2 !important;
}

.text-grey-light {
    color: #8E8E8E
}

#answerForm .dx-numberbox {
    border: 1px solid var(--mc-text-home-light) !important;
    font-size: 12px;
    border-radius: 0.375rem !important;
}

    #answerForm .dx-numberbox.dx-state-readonly .mc-table-editor {
        border: 1px solid dashed !important;
        background-color: rgba(13, 110, 253, 0.1) !important;
    }

    #answerForm .dx-numberbox.dx-state-focused:not(.dx-texteditor-with-floating-label) {
        border: 1px solid #337ab7 !important;
    }

    #answerForm .dx-numberbox [role=button] .dx-button-text {
        color: var(--bs-primary) !important;
    }

    #answerForm .dx-numberbox [role=button] .dx-icon {
        color: var(--bs-primary) !important;
        font-size: 1rem;
    }

    #answerForm .dx-numberbox [role=button] > .dx-button-content {
        font-size: 1rem;
        padding: 0.25rem;
        background: transparent;
    }

        #answerForm .dx-numberbox [role=button] > .dx-button-content > .dx-button-text {
            line-height: 1rem;
        }

    #answerForm .dx-numberbox .dx-button.dx-state-hover {
        background-color: #ffffff;
    }

    #answerForm .dx-numberbox .dx-button.dx-state-focused {
        background-color: #ffffff;
    }

    #answerForm .dx-numberbox .dx-button.dx-state-active {
        background-color: #ffffff;
    }

    #answerForm .dx-numberbox.dx-invalid {
        border: 1px solid #D92727 !important;
        font-size: 12px;
        border-radius: 0.375rem !important;
    }

        #answerForm .dx-numberbox.dx-invalid:has(.invalid-warning) {
            border: 1px solid #ffc107 !important;
        }

        #answerForm .dx-numberbox.dx-invalid .mc-table-editor {
            color: #D92727 !important;
        }

        #answerForm .dx-numberbox.dx-invalid:has(.invalid-warning) .mc-table-editor {
            color: #ffc107 !important;
        }

#answerForm .dx-textbox {
    border: 1px solid var(--mc-text-home-light) !important;
    font-size: 12px;
    border-radius: 0.375rem !important;
}

    #answerForm .dx-textbox.dx-state-readonly .mc-table-editor {
        border: 1px solid dashed !important;
        background-color: rgba(13, 110, 253, 0.1) !important;
    }

    #answerForm .dx-textbox.dx-state-focused:not(.dx-texteditor-with-floating-label) {
        border: 1px solid #337ab7 !important;
    }

    #answerForm .dx-textbox [role=button] .dx-button-text {
        color: var(--bs-primary) !important;
    }

    #answerForm .dx-textbox [role=button] .dx-icon {
        color: var(--bs-primary) !important;
        font-size: 1rem;
    }

    #answerForm .dx-textbox [role=button] > .dx-button-content {
        font-size: 1rem;
        padding: 0.25rem;
        background: transparent;
    }

        #answerForm .dx-textbox [role=button] > .dx-button-content > .dx-button-text {
            line-height: 1rem;
        }

    #answerForm .dx-textbox .dx-button.dx-state-hover {
        background-color: #ffffff;
    }

    #answerForm .dx-textbox .dx-button.dx-state-focused {
        background-color: #ffffff;
    }

    #answerForm .dx-textbox .dx-button.dx-state-active {
        background-color: #ffffff;
    }

    #answerForm .dx-textbox.dx-invalid {
        border: 1px solid #D92727 !important;
        font-size: 12px;
        border-radius: 0.375rem !important;
    }

        #answerForm .dx-textbox.dx-invalid:has(.invalid-warning) {
            border: 1px solid #ffc107 !important;
        }

        #answerForm .dx-textbox.dx-invalid .mc-table-editor {
            color: #D92727 !important;
        }

        #answerForm .dx-textbox.dx-invalid:has(.invalid-warning) .mc-table-editor {
            color: #ffc107 !important;
        }

#answerForm .dx-checkbox.dx-state-readonly .dx-checkbox-icon {
    background-color: rgba(13, 110, 253, 0.1) !important;
}

#answerForm [role=button] .dx-button-text {
    color: var(--bs-primary) !important;
}

    #answerForm [role=button] .dx-icon {
        color: var(--bs-primary) !important;
        font-size: 1rem;
    }

    #answerForm [role=button] > .dx-button-content {
        font-size: 1rem;
        padding: 0.25rem;
        background: transparent;
    }

        #answerForm [role=button] > .dx-button-content > .dx-button-text {
            line-height: 1rem;
        }


    #answerForm .dx-button.dx-state-hover {
        background-color: #ffffff;
    }

    #answerForm .dx-button.dx-state-focused {
        background-color: #ffffff;
    }

    #answerForm .dx-button.dx-state-active {
        background-color: #ffffff;
    }

.dx-widget {
    font-family: 'ProximaNova';
}

    .dx-widget input, .dx-widget textarea {
        font-family: 'ProximaNova';
    }

.dx-placeholder {
    color: #8E8E8E;
}

.fa, .fa-brands, .fa-classic, .fa-duotone, .fa-light, .fa-regular, .fa-sharp, .fa-sharp-solid, .fa-solid, .fa-thin, .fab, .fad, .fal, .far, .fas, .fasl, .fasr, .fass, .fast, .fat {
    line-height: var(--bs-body-line-height);
}

.tooltip .tooltip-inner {
    background-color: #D2D2D2 !important;
    color: #505050 !important;
    padding: 1rem;
}

.bs-tooltip-top .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before {
    border-top-color: #D2D2D2;
}

.bs-tooltip-end .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow::before {
    border-right-color: #D2D2D2;
}

.bs-tooltip-bottom .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow::before {
    border-bottom-color: #D2D2D2;
}

.bs-tooltip-start .tooltip-arrow::before, .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow::before {
    border-left-color: #D2D2D2;
}

tr td > div.bg-white {
    border: 1px solid transparent;
}

tr:has(.dx-invalid) td {
    background-color: rgba(217, 39, 39, 0.1) !important;
}

tr:has(.dx-invalid) .invalid-border {
    background-color: #D92727
}

tr:has(.dx-invalid) td > div.bg-white {
    border: 1px solid #D92727;
    color: #D92727;
}

tr:has(.dx-invalid) .invalid-border {
    background-color: #D92727 !important;
}

tr:has(.invalid-warning) td {
    background-color: rgba(255, 193, 7, 0.1) !important;
}

tr:has(.invalid-warning) .invalid-border {
    background-color: #ffc107
}

tr:has(.invalid-warning) td > div.bg-white {
    border: 1px solid #ffc107;
    color: #ffc107;
}

tr:has(.invalid-warning) .invalid-border {
    background-color: #ffc107 !important;
}

.invalid-warning::after {
    background-color: #ffc107 !important;
}

.speech-bubble {
    background-color: rgba(0, 90, 241, 0.2) !important;
}

.speech-bubble-own {
    background-color: var(--mc-bg-grey-3) !important;
}

.bg-primary-2 {
    background-color: #accaff !important;
}

.nav-link.active.rounded-pill, .nav-link.btn-dropdown.rounded-pill, .nav-link.btn-dropdown.rounded-pill:not(.active) {
    /*--bs-bg-opacity: 1;
    --bs-text-opacity: 1;
    background-color: rgba(var(--bs-white-rgb), var(--bs-bg-opacity)) !important;
    color: rgba(var(--bs-primary-rgb), var(--bs-text-opacity)) !important;*/

    background-color: var(--mc-color-background) !important;
    color: var(--mc-color-main) !important;
}

    .nav-link.active.rounded-pill .badge {
        --bs-bg-opacity: 1;
        --bs-text-opacity: 1;
        background-color: var(--mc-color-main) !important;
        color: rgba(var(--bs-white-rgb), var(--bs-text-opacity)) !important;
    }

.nav-link.rounded-pill:not(.active) {
    --bs-bg-opacity: 1;
    --bs-text-opacity: 1;
    background-color: transparent !important;
    color: #505050 !important
}

    .nav-link.rounded-pill:not(.active) .badge {
        --bs-bg-opacity: 1;
        --bs-text-opacity: 1;
        background-color: transparent !important;
        color: #505050 !important
    }

.mc-dropdown, .mc-dropdown .mc-dropdown-content {
    border-color: var(--mc-color-main);
}

    .mc-dropdown .mc-dropdown-input > .mc-selected-text {
        color: var(--mc-color-main);
    }

.table-custom-striped > tbody > tr:nth-child(odd) > td,
.table-custom-striped > tbody > tr:nth-child(odd) > th,
.table-custom-striped > tbody > tr:nth-child(odd) .bg-striped {
    background-color: #ffffff;
}

.table-custom-striped > tbody > tr.data-row > td {
    border-bottom: 1px solid #c5d9ff;
}

.table-custom-striped > tbody > tr:nth-child(even) > td,
.table-custom-striped > tbody > tr:nth-child(even) > th,
.table-custom-striped > tbody > tr:nth-child(even) .bg-striped {
    background-color: #efefef;
}

.invalid-border {
    width: 4px;
    height: 4em;
}

.table-custom-striped > tbody > tr:nth-child(odd) > .invalid-border {
    background-color: #F4F4F4
}

.table-custom-striped > tbody > tr:nth-child(even) > .invalid-border, .table-custom-striped > thead > tr:nth-child(even) > .invalid-border {
    background-color: #F8F8F8;
}

.table-custom-striped > tbody > tr > .invalid-border + .bg-white {
    background-color: #FFFFFF;
}

.table-custom-striped > tbody > tr > .invalid-border + .bg-grey-2 {
    background-color: #F8f8f8;
}

.mc-table-editor {
    border: 0;
    font-size: 14px;
    border-radius: 0.375rem !important;
}

tr.sticky-top {
    top: calc(78px + 3em);
}

.dropdown-item.active, .dropdown-item:active {
    color: var(--bs-dropdown-link-hover-color);
    text-decoration: none;
    background-color: var(--bs-dropdown-link-hover-bg);
}

/*from custom-designer-layout*/

@media (max-width: 768px) {
    html {
        font-size: 16px;
    }
}

body {
    font-family: var(--bs-body-font-family) !important;
    margin-bottom: 60px;
}

.dx-widget {
    font-family: var(--bs-body-font-family);
    font-weight: 500;
}

.dx-datagrid-header-panel {
    border-bottom: 0;
}

.mc-layout-title {
}

    .mc-layout-title .title {
        color: #171717;
    }

    .mc-layout-title .subtitle {
        color: #858585;
        font-size: 14px;
    }

.buttongroup .dx-item-content.dx-box-item-content {
    flex-grow: 0 !important;
}

    .buttongroup .dx-item-content.dx-box-item-content > .dx-item.dx-box-item {
        flex: none !important;
    }

.mc-editor-widget .dx-texteditor-input {
    /*
    display: block;
    width: 100%;*/
    padding-top: 15px !important;
    padding-bottom: 15px !important;
    padding: .5rem .875rem;
    font-size: 0.9375rem;
    font-weight: 400;
    /*line-height: 1.47;*/
    color: #544f5a;
    /*appearance: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #d4d3d5;*/
    border-color: #d4d3d5;
    border-radius: .375rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    font-family: var(--bs-body-font-family) !important;
}

/*THREE STATE DEVEXTREME CHECKBOX*/
.mc-answer-widget .dx-checkbox-text {
    font-weight: bold;
    color: var(--bs-custom-primary);
}

.mc-answer-widget:not(.dx-checkbox-checked) .dx-checkbox-icon {
    background-color: #fff;
    color: var(--bs-primary);
    font: 22px/1 DXIcons;
    text-align: center;
}

    .mc-answer-widget:not(.dx-checkbox-checked) .dx-checkbox-icon::before {
        content: "\f00a";
        position: relative;
        display: block;
        width: 1em;
        height: 1em;
        top: 50%;
        margin-top: -.5em;
        inset-inline-start: 50%;
        -webkit-margin-start: -0.5em;
        margin-inline-start: -.5em;
        font-size: .727273em;
    }

/*TRUE*/
.mc-answer-widget.dx-checkbox-checked .dx-checkbox-icon {
    color: var(--bs-primary);
    background-color: #fff;
}

/*NULL*/
.mc-answer-widget.dx-checkbox-indeterminate .dx-checkbox-icon {
    background-color: #fff;
    color: #fff;
}

    .mc-answer-widget.dx-checkbox-indeterminate .dx-checkbox-icon::before {
        width: 0em;
    }

/*THREE STATE DEVEXTREME CHECKBOX*/

/*.mc-bg-primary {
    background-color: #ffffff;
}

.mc-bg-secondary {
    background-color: #f8f9fa;
}
*/
.side-nav-outer-toolbar {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 100%;
}

.layout-header {
    z-index: 1501;
}

.header-component {
    background-color: var(--base-bg);
    box-shadow: 0 4px 8px rgba(0, 0, 0, .05), 0 0 4px rgba(0, 0, 0, .15);
    flex: 0 0 auto;
    padding: 10px 0;
    z-index: 1;
}

    .header-component .dx-toolbar .dx-toolbar-item.toolbar-button-menu {
        padding: 0;
        text-align: center;
        width: var(--side-panel-min-width);
    }

.side-navigation-menu {
    display: flex;
    flex-direction: column;
    height: 100%;
    min-height: 100%;
    width: 250px !important;
}

.dx-theme-fluent .dx-drawer-panel-content {
    box-shadow: 0 4px 4px 0 rgba(0, 0, 0, .12);
}

.dx-theme-fluent .footer, .dx-theme-fluent .layout-body .menu-container.theme-dependent {
    /*background-color: var(--base-bg);*/
    background-color: var(--mc-menu-bg);
}

/*.side-navigation-menu .menu-container .dx-treeview .dx-treeview-item {
    border-radius: 0;
    flex-direction: row-reverse;
    padding-left: 0;
}
.side-navigation-menu .menu-container {
    background-color: var(--side-panel-background);
    display: flex;
    flex: 1 1;
    min-height: 100%;
    padding-bottom: var(--footer-height);
    padding-top: var(--toolbar-vertical-padding);
}*/

:root {
    --mc-menu-bg: #363640;
    --mc-menu-bg: #ffffff;
    --dark-warning-color: #eaa300;
    --typography-bg: var(--base-bg);
    --typography-bg: var(--dx-color-main-bg);
    --side-panel-min-width: 48px;
    --calendar-width: 292px;
    --header-toolbar-vertical-padding: 10px;
    --toolbar-vertical-padding: 16px;
    --content-padding: 24px;
    --page-padding: 32px;
    --toolbar-margin-bottom: var(--content-padding);
    --footer-height: 70px;
    --base-bg-darken-5: #f2f2f2;
    --base-bg-darken-4: #f5f5f5;
    --background-gray-color: rgba(36, 36, 36, .04);
    --base-text-color-alpha: rgba(36, 36, 36, .7);
    --footer-left-padding: calc((var(--side-panel-min-width) - var(--dx-font-size-icon)) / 2);
    --theme-padding: var(--dx-button-padding-inline);
    --button-height-theme-difference: calc((var(--theme-padding) - 10px) / 3);
    --button-height: calc(26px + var(--button-height-theme-difference));
    --scheduler-toolbar-height: calc(var(--button-height) + var(--theme-padding)* 2);
    --tooltip-danger-button-color: rgba(209, 52, 56, .1);
    --tooltip-success-button-color: rgba(16, 124, 16, .1);
    --base-bg: var(--dx-component-color-bg);
    --card-background: var(--base-bg);
    --side-panel-background: var(--base-bg-darken-5);
    --border-color: var(--dx-color-border);
    --accent-color: var(--dx-color-primary);
    --success-color: var(--dx-color-success);
    --info-color: var(--dx-color-primary);
    --warning-color: var(--dx-color-warning);
    --error-color: var(--dx-color-danger);
    --base-text-color: var(--dx-color-text);
    --texteditor-edit-color: var(--dx-texteditor-color-text);
    --texteditor-label-color: var(--dx-texteditor-color-label);
    --toolbar-height: var(--dx-toolbar-height);
    --list-padding-left: var(--dx-list-item-padding-inline);
    --list-padding-vertical: var(--dx-list-item-padding-block);
    --popup-toolbar-item-spacing: var(--dx-popup-toolbar-item-padding-inline);
    --drop-down-gnrc-button-height: var(--dx-component-height);
    --subtitle-text-color: var(--texteditor-label-color);
}

/*.app-theme-dark, :root {
    --dark-warning-color: #eaa300;
    --typography-bg: var(--dx-color-main-bg);
    --side-panel-min-width: 48px;
    --calendar-width: 292px;
    --header-toolbar-vertical-padding: 10px;
    --toolbar-vertical-padding: 16px;
    --content-padding: 24px;
    --page-padding: 32px;
    --toolbar-margin-bottom: var(--content-padding);
    --footer-height: 70px;
    --base-bg-darken-5: #1c1c1c;
    --base-bg-darken-4: #1f1f1f;
    --background-gray-color: hsla(0, 0%, 100%, .04);
    --base-text-color-alpha: hsla(0, 0%, 100%, .7);
    --footer-left-padding: calc((var(--side-panel-min-width) - var(--dx-font-size-icon)) / 2);
    --theme-padding: var(--dx-button-padding-inline);
    --button-height-theme-difference: calc((var(--theme-padding) - 10px) / 3);
    --button-height: calc(26px + var(--button-height-theme-difference));
    --scheduler-toolbar-height: calc(var(--button-height) + var(--theme-padding)* 2);
    --tooltip-danger-button-color: rgba(227, 125, 128, .1);
    --tooltip-success-button-color: rgba(84, 176, 84, .1);
    --base-bg: var(--dx-component-color-bg);
    --side-panel-background: var(--base-bg-darken-5);
    --border-color: var(--dx-color-border);
    --accent-color: var(--dx-color-primary);
    --success-color: var(--dx-color-success);
    --info-color: var(--dx-color-primary);
    --warning-color: var(--dx-color-warning);
    --error-color: var(--dx-color-danger);
    --base-text-color: var(--dx-color-text);
    --texteditor-edit-color: var(--dx-texteditor-color-text);
    --texteditor-label-color: var(--dx-texteditor-color-label);
    --toolbar-height: var(--dx-toolbar-height);
    --list-padding-left: var(--dx-list-item-padding-inline);
    --list-padding-vertical: var(--dx-list-item-padding-block);
    --popup-toolbar-item-spacing: var(--dx-popup-toolbar-item-padding-inline);
    --drop-down-gnrc-button-height: var(--dx-component-height);
    --subtitle-text-color: var(--texteditor-label-color);
    --card-background: var(--base-bg-darken-5);
}
*/
:root {
    --dx-component-color-bg: #fff;
    --dx-color-main-bg: #fafafa;
    --dx-color-primary: #0f6cbd;
    --dx-color-danger: #d13438;
    --dx-color-success: #107c10;
    --dx-color-warning: #fde300;
    --dx-color-border: #e0e0e0;
    --dx-color-text: #242424;
    --dx-color-icon: #616161;
    --dx-color-spin-icon: #616161;
    --dx-color-link: #0f6cbd;
    --dx-color-shadow: #000;
    --dx-color-separator: #e0e0e0;
    --dx-component-height: 32px;
    --dx-font-size: 14px;
    --dx-border-width: 1px;
    --dx-border-radius: 4px;
    --dx-font-size-icon: 20px;
    --background-color: var(--base-bg);
    --icon-dark-warning-color: var(--warning-color);
    --card-shadow: 0 0 6px 0 rgba(0, 0, 0, .06), 0 2px 2px 0 rgba(0, 0, 0, .06);
    --background-color: var(--typography-bg);
}

.bg-esawas-inverted {
    /* --bg-back-1: rgb(from var(--fa-primary-color) r g b / 0.1);
    --bg-back-2: rgb(from var(--fa-primary-color) r g b / 0.4);
    background-image: linear-gradient(90deg, var(--bg-back-1) 50%, var(--bg-back-2) 100%);


    background: rgb(61,156,158);
    background: linear-gradient(342deg, rgba(61,156,158,1) 0%, rgba(31,112,184,1) 48%, rgba(222,233,247,1) 100%);*/
    background: rgb(61,156,158);
    background: linear-gradient(342deg, rgba(61,156,158,0.6) 0%, rgba(31,112,184,0.6) 48%, rgba(222,233,247,1) 100%);
}

.inner_container {
    padding: 0px 32px;
}

.footer {
    background-color: var(--side-panel-background);
    bottom: 0;
    color: var(--base-text-color-alpha);
    display: block;
    height: var(--footer-height);
    left: 0;
    padding: 20px 0 16px var(--footer-left-padding);
    position: absolute;
    right: 0;
}

.side-navigation-menu {
    display: flex;
    flex-direction: column;
    min-height: 100%;
    height: 100%;
    width: 250px !important;
}

    .side-navigation-menu .menu-container {
        background-color: var(--side-panel-background);
        min-height: 100%;
        display: flex;
        flex: 1;
        /*  padding-top: var(--toolbar-vertical-padding);*/
        padding-bottom: var(--footer-height);
    }

        .side-navigation-menu .menu-container .dx-treeview {
            /*Long text positioning */
            white-space: nowrap;
            /*Icon width customization  */
        }

            .side-navigation-menu .menu-container .dx-treeview .dx-treeview-item {
                padding-left: 0;
                flex-direction: row-reverse;
                border-radius: 0;
            }

            .side-navigation-menu .menu-container .dx-treeview .dx-treeview-node[aria-level="1"] .dx-treeview-item {
                padding: 12px 0px;
            }

            .side-navigation-menu .menu-container .dx-treeview .dx-treeview-node[aria-level="2"] .dx-treeview-item {
                padding: 5px 0px;
            }

            .side-navigation-menu .menu-container .dx-treeview .dx-treeview-item .dx-icon {
                width: var(--side-panel-min-width) !important;
                margin: 0 !important;
            }

            .side-navigation-menu .menu-container .dx-treeview .dx-treeview-toggle-item-visibility {
                right: 10px;
                left: auto;
            }

            .side-navigation-menu .menu-container .dx-treeview .dx-rtl .dx-treeview-toggle-item-visibility {
                left: 10px;
                right: auto;
            }

            /*Item levels customization*/
            .side-navigation-menu .menu-container .dx-treeview .dx-treeview-node {
                /*// ## Arrow customization */
                padding: 0 0 !important;
            }

                .side-navigation-menu .menu-container .dx-treeview .dx-treeview-node[aria-level="1"] {
                    font-weight: bold;
                    border-bottom: 1px solid var(--bs-gray-300);
                }

                .side-navigation-menu .menu-container .dx-treeview .dx-treeview-node[aria-level="2"] .dx-treeview-item-content {
                    font-weight: normal;
                    padding: 0 0 0 var(--side-panel-min-width);
                }

.dx-treeview-node[aria-level="2"] .dx-treeview-item {
    padding: 7px 12px;
}

.bg-PLAYER_TYPE_UTILITY {
    background-color: #30BFBF;
    color: white;
    /*background-color: #32949b;
                    color: white;*/
}

.bg-PLAYER_TYPE_HOLDING {
    background-color: #7fb3d2;
    color: white;
    /*        background-color: #0067A5;
                    color: white;*/
}

.bg-PLAYER_TYPE_REGULATOR {
    background-color: #7fb3d2;
    color: white;
}

.bg-PLAYER_TYPE_DEVELOPER {
    background-color: #001C3D;
    background-color: #374F6B;
    color: white;
}

.text-PLAYER_TYPE_UTILITY {
    color: #30BFBF;
}

.text-PLAYER_TYPE_HOLDING {
    color: #7fb3d2;
}

.text-PLAYER_TYPE_REGULATOR {
    color: #7fb3d2;
}

.text-PLAYER_TYPE_DEVELOPER {
    color: #374F6B;
}

.status-WORK_STATUS_EMPTY {
    background: #b7bbc5;
    color: #ffffff;
}

.status-WORK_STATUS_DATA_ENTER {
    background: #7284de;
    color: #ffffff;
}

.status-WORK_STATUS_DATA_VALIDATION {
    background: #ffc107;
    color: #ffffff;
}

.status-WORK_STATUS_DATA_APPROVAL {
    background: #0067A5;
    color: #ffffff;
}

.status-WORK_STATUS_DATA_PUBLISHED {
    background: #e28031;
    color: #ffffff;
}

#btnLocalStorage:hover circle, .single-circle:hover circle {
    opacity: 1;
    fill: #0d6efd;
    transition: opacity 300ms ease-in-out, stroke 300ms ease-in-out, fill 300ms ease-in-out;
}

#btnLocalStorage circle, .single-circle circle {
    transition: opacity 300ms ease-in-out, stroke 300ms ease-in-out, fill 300ms ease-in-out;
}

#btnLocalStorage:hover .icon, .single-circle:hover circle .icon {
    fill: white;
    transition: fill 300ms ease-in-out;
}

#btnLocalStorage.active circle {
    opacity: 1;
    fill: #0d6efd;
}

#btnLocalStorage.active .icon {
    opacity: 1;
    fill: white;
}

#localStorageContainer text {
    font-family: FontAwesome;
    font-size: 20px;
}

.single-item {
    transition: left 800ms ease 0s;
}

    .single-item.removing {
        left: 0;
    }

circle.active {
    stroke: white;
}

.mc-variablecode-answer {
    font-size: 0.9rem;
    font-style: italic;
    color: var(--bs-gray-600);
    display: none;
}